Qt 5.11 | Qt Quick | C++ Classes | QSGTransformNode

Qt 5.11.3 Reference Documentation

# QSGTransformNode Class

The QSGTransformNode class implements transformations in the scene graph. More...

Header: | #include <QSGTransformNode>
qmake: | QT += quick
Inherits: | QSGNode

- List of all members, including inherited members

## Public Functions

| QSGTransformNode()
virtual | ~QSGTransformNode() override
const QMatrix4x4 & | matrix() const
void | setMatrix(const QMatrix4x4 &matrix)

- 20 public functions inherited from QSGNode

## Detailed Description

The QSGTransformNode class implements transformations in the scene graph.

Transformations apply the node's subtree and can be nested. Multiple transform nodes will be accumulated by intersecting all their matrices. The accumulation happens as part of the rendering.

The transform nodes implement a 4x4 matrix which in theory supports full 3D transformations. However, because the renderer optimizes for 2D use-cases rather than 3D use-cases, rendering a scene with full 3D transformations needs to be done with some care.

Note: All classes with QSG prefix should be used solely on the scene graph's rendering thread. See Scene Graph and Rendering for more information.

## Member Function Documentation

### QSGTransformNode::QSGTransformNode()

Create a new QSGTransformNode with its matrix set to the identity matrix.

### `[override virtual]` QSGTransformNode::~QSGTransformNode()

Deletes this transform node.

### const QMatrix4x4 &QSGTransformNode::matrix() const

Returns this transform node's matrix.

See also setMatrix().

### void QSGTransformNode::setMatrix(const QMatrix4x4 &matrix)

Sets this transform node's matrix to matrix.

See also matrix().